mobx 1.2.1+1

Dart native js
Flutter Android iOS web

MobX is a library for reactively managing the state of your applications. Use the power of observables, actions, and reactions to supercharge your Dart and Flutter apps.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  mobx: ^1.2.1+1

2. Install it

You can install packages from the command line:

with pub:

$ pub get

with Flutter:

$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:mobx/mobx.dart';
341
likes
100
pub points
98%
popularity

Publisher

dart.pixelingene.com

MobX is a library for reactively managing the state of your applications. Use the power of observables, actions, and reactions to supercharge your Dart and Flutter apps.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

meta

More

Packages that depend on mobx